package net.schubart.rubiks;

//=============================================================================
// The RCDisplayEntry describes how to draw one face of one cubelet on the
// screen. This class works like a struct in C.
//=============================================================================

class RCDisplayEntry {

    // which cubelet is it?
    public int xSource, ySource, zSource;

    // and which face on that cubelet?
    public int faceSource;

    // where on the screen does it belong?
    public int xOffset, yOffset;

    // and how does it look there?
    public int shape;

    //=========================================================================
    // Constructor, copies the given values.
    //=========================================================================
    public RCDisplayEntry(int xSource, int ySource, int zSource,
            int faceSource, int xOffset, int yOffset, int shape) {
        this.xSource = xSource;
        this.ySource = ySource;
        this.zSource = zSource;
        this.faceSource = faceSource;
        this.xOffset = xOffset;
        this.yOffset = yOffset;
        this.shape = shape;
    }
}
